/*============================================================================
  File:     ReviewingTheSizeOfFactInternetSales2.sql

  Summary:  This shows the difference and costs of having an nvarchar(20)
			as part of the clustering key.

  Date:     October 2012

  SQL Server Version: 2005/2008
------------------------------------------------------------------------------
  Written by Kimberly L. Tripp

  This script is intended only as a supplement to demos and lectures
  given by Kimberly L. Tripp.  
  
  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF 
  ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED 
  TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
  PARTICULAR PURPOSE.
============================================================================*/

USE AdventureWorksDW2008_ModifiedSalesKey
go

sp_help factinternetsales
EXEC sp_help 'factinternetsales2'
go

sp_SQLskills_SQL2008_helpindex 'factinternetsales'
EXEC sp_SQLskills_SQL2008_helpindex 'factinternetsales2'
go

select top 100 * from FactInternetSales
select top 100 * from FactInternetSales2

SELECT index_depth AS D
    , index_level AS L
    , record_count AS 'Rows'
    , page_count AS 'Pages'
    , avg_page_space_used_in_percent AS 'PgPercentFull'
    , min_record_size_in_bytes AS 'MinLen'
    , max_record_size_in_bytes AS 'MaxLen'
    , avg_record_size_in_bytes AS 'AvgLen'
FROM sys.dm_db_index_physical_stats
	(db_id()
	, object_id('factinternetsales')
	, null, null, 'detailed')
go

SELECT index_depth AS D
    , index_level AS L
    , record_count AS 'Rows'
    , page_count AS 'Pages'
    , avg_page_space_used_in_percent AS 'PgPercentFull'
    , min_record_size_in_bytes AS 'MinLen'
    , max_record_size_in_bytes AS 'MaxLen'
    , avg_record_size_in_bytes AS 'AvgLen'
FROM sys.dm_db_index_physical_stats
	(db_id()
	, object_id('factinternetsales2')
	, null, null, 'detailed')
go

sp_spaceused 'factinternetsales'
EXEC sp_spaceused 'factinternetsales2'
go